# include "Ximage.h"

int Resize () {
 
  int i;
  unsigned int NX, NY;

  KiiScanMessage (sock, "%d %d", &NX, &NY);

  if ((graphic.dx == NX) && (graphic.dy == NY)) 
    return (TRUE);

  graphic.dx = MAX(NX, 50); 
  graphic.dy = MAX(NY, 50); 

  if (USE_XWINDOW) XResizeWindow (graphic.display, graphic.window, NX, NY);

  for (i = 0; i < Nsection; i++) {
    PositionPicture (&section[i]);
  }

  if (USE_XWINDOW) XClearWindow (graphic.display, graphic.window);
  Refresh (1);

  return (TRUE);
}
